Add support for skin and extension dependencies in new skin unit test
Closed, ResolvedPublic

Description

We should add support for skin dependencies on the new skin unit tests.

We should support both extension dependencies in the skin test and skins.

One known skin that requires a extension is BlueSpiceSkin.

Repo Needed dependency
mediawiki/extensions/CustomPage mediawiki/skins/CustomPage
mediawiki/skins/BlueSpiceSkinmediawiki/extensions/BlueSpiceFoundation
Paladox created this task.Nov 25 2016, 12:42 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 25 2016, 12:42 AM
Paladox renamed this task from Add support for skin dependacies in the new skin unit test to Add support for skin and extension dependacies in the new skin unit test.Nov 25 2016, 12:48 AM
Aklapper renamed this task from Add support for skin and extension dependacies in the new skin unit test to Add support for skin and extension dependencies in new skin unit test.Nov 25 2016, 2:36 AM

Indeed, will have to look into it. We already have support to inject extensions as dependencies but I don't think the job I have created does support it.

@hashar I was looking at it last night but I coulden think of how we can inject skins and extensions. Probably needs a rewrite so it will look up the project mediawiki then do extensions/<ext> or skins/<skin> for the dependacies.

Change 323540 had a related patch set uploaded (by Paladox):
Support extension and skin dependacies in the skin pipeline and extension pipeline

https://gerrit.wikimedia.org/r/323540

Change 323546 had a related patch set uploaded (by Paladox):
Add a new Skin dependacies test

https://gerrit.wikimedia.org/r/323546

Change 323546 abandoned by Hashar:
Add a new Skin dependacies test

Reason:
Integrated into https://gerrit.wikimedia.org/r/#/c/323540/

https://gerrit.wikimedia.org/r/323546

hashar updated the task description. (Show Details)Dec 12 2016, 3:57 PM

Change 326469 had a related patch set uploaded (by Hashar):
Inject skin/ext dependencies

https://gerrit.wikimedia.org/r/326469

Mentioned in SAL (#wikimedia-operations) [2016-12-13T09:41:58Z] <hashar> Updating MediaWiki Jenkins jobs to support injecting skin dependencies T151593

Mentioned in SAL (#wikimedia-releng) [2016-12-13T09:42:12Z] <hashar> Updating MediaWiki Jenkins jobs to support injecting skin dependencies T151593

Change 323540 merged by jenkins-bot:
Support skin as dependencies

https://gerrit.wikimedia.org/r/323540

Change 326469 merged by jenkins-bot:
Inject skin/ext dependencies

https://gerrit.wikimedia.org/r/326469

Change 326914 had a related patch set uploaded (by Hashar):
[BlueSpiceSkin] make tests voting

https://gerrit.wikimedia.org/r/326914

Change 326916 had a related patch set uploaded (by Hashar):
[CustomPage] give reasons for non-voting jobs

https://gerrit.wikimedia.org/r/326916

hashar closed this task as Resolved.Dec 13 2016, 10:13 AM
hashar claimed this task.

mediawiki/skins/BlueSpiceSkin pass and the job is now voting.

mediawiki/extensions/CustomPage still fails, but that is due to a duplicate entry in the registration system which causes MediaWiki to fatal error. Filled that one as T153050.

Change 326914 merged by jenkins-bot:
[BlueSpiceSkin] make tests voting

https://gerrit.wikimedia.org/r/326914

Change 326916 merged by jenkins-bot:
[CustomPage] give reasons for non-voting jobs

https://gerrit.wikimedia.org/r/326916